aboutsummaryrefslogtreecommitdiffstats
path: root/debian/wireshark-dev.postinst
diff options
context:
space:
mode:
authorGerald Combs <gerald@wireshark.org>2006-05-31 20:28:29 +0000
committerGerald Combs <gerald@wireshark.org>2006-05-31 20:28:29 +0000
commitfc9bedbd031db16e9957fd0ad2b46a4a2cfd233e (patch)
tree0896f17e3b0bdaed524d7b1f105453ec6b2a7e19 /debian/wireshark-dev.postinst
parented5e8f550c72c90cce44e41e00a2385f5b39cc89 (diff)
Rename the Debian packaging files.
svn path=/trunk/; revision=18281
Diffstat (limited to 'debian/wireshark-dev.postinst')
-rw-r--r--debian/wireshark-dev.postinst57
1 files changed, 57 insertions, 0 deletions
diff --git a/debian/wireshark-dev.postinst b/debian/wireshark-dev.postinst
new file mode 100644
index 0000000000..ff3d1def8e
--- /dev/null
+++ b/debian/wireshark-dev.postinst
@@ -0,0 +1,57 @@
+#! /bin/sh -e
+
+PYTHON=python2.3
+
+case "$1" in
+ configure|abort-upgrade|abort-remove|abort-deconfigure)
+ /usr/bin/$PYTHON -O /usr/lib/$PYTHON/compileall.py -q \
+ /usr/lib/$PYTHON/site-packages/
+ ;;
+ *)
+ echo "postinst called with unknown argument \`$1'" >&2
+ exit 1
+ ;;
+esac
+
+#DEBHELPER#
+
+exit 0
+
+#! /bin/sh -e
+
+PYTHON=python2.3
+
+case "$1" in
+ configure|abort-upgrade|abort-remove|abort-deconfigure)
+ /usr/bin/$PYTHON -O /usr/lib/$PYTHON/compileall.py -q \
+ /usr/lib/$PYTHON/site-packages/
+ ;;
+ *)
+ echo "postinst called with unknown argument \`$1'" >&2
+ exit 1
+ ;;
+esac
+
+#DEBHELPER#
+
+exit 0
+
+#! /bin/sh -e
+
+PYTHON=python2.2
+
+case "$1" in
+ configure|abort-upgrade|abort-remove|abort-deconfigure)
+ /usr/bin/$PYTHON -O /usr/lib/$PYTHON/compileall.py -q \
+ /usr/lib/$PYTHON/site-packages/
+ ;;
+ *)
+ echo "postinst called with unknown argument \`$1'" >&2
+ exit 1
+ ;;
+esac
+
+#DEBHELPER#
+
+exit 0
+